package com.byteslounge.ejb;

import javax.ejb.Stateless;
import javax.interceptor.Interceptors;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.byteslounge.ejb.interceptor.AuthorizationInterceptor;
import com.byteslounge.ejb.interceptor.LoggingInterceptor;

@Stateless
@Interceptors({
	AuthorizationInterceptor.class, 
	LoggingInterceptor.class
})
public class SimpleBean {

	private static final Logger logger = LoggerFactory.getLogger(SimpleBean.class.getName());
	
	public String sayHello(String name){
		logger.debug("Executing EJB method");
		return "Hello " + name;
	}
	
}
