package com.byteslounge.ejb.interceptor;

import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


public class LoggingInterceptor {

	private static final Logger logger = LoggerFactory.getLogger(LoggingInterceptor.class.getName());
	
	@AroundInvoke
	public Object intercept(InvocationContext ctx) throws Exception
	{
	   logger.debug("LoggingInterceptor - before EJB method invoke: " + ctx.getMethod().getName());
	   Object result = ctx.proceed();
	   logger.debug("LoggingInterceptor - after EJB method invoke: " + ctx.getMethod().getName());
	   return result;
	}
}
